#!/bin/sh
#    AutoX11, a tool to automate tasks in an X11 environment
#    Copyright (C) 2014  Alicia <alicia@ion.nu>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, version 3 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# TODO: is there a better way to get this list?
ipath='/usr/include'
# Take clues from 'pkg-config --cflags x11' about where keysymdef.h might be in case it is in a non-standard location
for path in `pkg-config --cflags x11 | tr ' ' '\n' | sed -n -e 's/^-I//p'`; do
  if [ -e "${path}/X11/keysymdef.h" ]; then
    ipath="$path"
    echo "Found keysymdef.h at ${ipath}/X11/keysymdef.h" >&2
  fi
done
echo "// Generated from ${ipath}/X11/keysymdef.h using genkeylist.sh"
echo 'const char* keylist[]={';
sed -n -e '/^#define XK_/{s/^#define XK_/"/; s/[ \t].*/",/; p;}' "${ipath}/X11/keysymdef.h"
echo '0};'
